VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig Class Reference

`Shutdown.ShutdownGetConfig` class Structure that defines shutdown configuration returned by Shutdown.get operation More...

List of all members.

## Public Member Functions
| ShutdownGetConfig ()
| Creates a default new instance.
string | GetShutdownTime ()
| (UTC) time of shutdown represented in "YYYY-MM-DD HH:MM:SS" format.
void | SetShutdownTime (string shutdownTime)
| (UTC) time of shutdown represented in "YYYY-MM-DD HH:MM:SS" format.
string | GetAction ()
| Contains a string that describes the pending shutdown operation.
void | SetAction (string action)
| Contains a string that describes the pending shutdown operation.
string | GetReason ()
| This will contain string explaining the reason behind the shutdown action.
void | SetReason (string reason)
| This will contain string explaining the reason behind the shutdown action.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Shutdown.ShutdownGetConfig` class Structure that defines shutdown configuration returned by Shutdown.get operation

## Constructor & Destructor Documentation

vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::ShutdownGetConfig | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::GetAction | ( |  | ) | `[inline]`

Contains a string that describes the pending shutdown operation.

The string values for pending operations can be 'poweroff', 'reboot' or ''

override int vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::GetReason | ( |  | ) | `[inline]`

This will contain string explaining the reason behind the shutdown action.

string vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::GetShutdownTime | ( |  | ) | `[inline]`

(UTC) time of shutdown represented in "YYYY-MM-DD HH:MM:SS" format.

void vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::SetAction | ( | string | action | ) | `[inline]`

Contains a string that describes the pending shutdown operation.

The string values for pending operations can be 'poweroff', 'reboot' or ''

void vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::SetReason | ( | string | reason | ) | `[inline]`

This will contain string explaining the reason behind the shutdown action.

void vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::SetShutdownTime | ( | string | shutdownTime | ) | `[inline]`

(UTC) time of shutdown represented in "YYYY-MM-DD HH:MM:SS" format.

override string vmware::appliance::techpreview::ShutdownTypes::ShutdownGetConfig::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ShutdownTypes.cs